package com.zxhl.cms.ad.upload.model;

import java.io.Serializable;

/**
 * @Description: java类作用描述
 * @Author: lidandan
 * @CreateDate: 2021/12/25 10:54 上午
 */
public class Response<T> implements Serializable {

    private String status = "";
    private String msg = "";
    private Result<T> result = null;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Result<T> getResult() {
        return result;
    }

    public void setResult(Result<T> result) {
        this.result = result;
    }

    public static class Result<T> implements Serializable {
        private T data = null;

        public T getData() {
            return data;
        }

        public void setData(T data) {
            this.data = data;
        }
    }
}
